Troubleshooting – Updating your PHP version

Why update your PHP version?

PHP is WordPress’ coding language. Like WordPress itself, PHP is constantly being developed and it’s important you use an up-to-date version. These updates include both security and efficiency updates which will make your site faster and more secure. 

As Elementor uses PHP, you’ll need to be working with recent versions of both WordPress and PHP. Read more about Elementor’s system requirements.

Before updating your PHP version

Before you begin the update process you should:

  • Make sure all your themes and plugins are up-to-date
  • Backup your site 

How do I update my PHP version?

Your site’s PHP version is controlled by your web host. Most web hosts will allow you to select (within limits) your PHP version. For details about how your host allows you to select a PHP version, check this list of hosts with links to their tutorials.

What if my host is not on this list?

If your host is not on this list, you’ll need to contact their customer service service and request that they update the PHP version for your site. 

Share it on social networks

Was this article helpful?

Get Started With Elementor Today

Join millions of professionals who use Elementor to build WordPress websites faster and better than ever before

On this page